Subject: bug#20552: 24.4; cc

From: [email-masked]
Date: Thu, 14 May 2015 16:58:52 -0400

On Thu, May 14 2015, martin rudalics wrote:

>> As you wrote it there is no difference.  (left . 0) remains
>> about 1/8 inch right of flush left (even if executed twice).  BUT
>>
>> (modify-frame-parameters nil '((user-position . t) (width . 176)
>>                                 (left . -1300))
>>
>> does become flush left on an initial emacs -Q whereas without the
>> user-position (which I will now read about) it required two executions
>> to become flush left.  Recall, previously the first execution left the frame
>> several inches right of flush left but a second execution made it flush
>> left.
>
> Still weird.  What happens with
>
> (modify-frame-parameters nil '((user-position . t) (width . 176) (left . 1)))
>
> Also, you could try playing with the `(+ POS)' and `(- POS)' position
> specifications (see section 28.3.3.2 Position Parameters of the Elisp
> manual).

I tried this with user-position and it is weird, I would say buggy.

(modify-frame-parameters nil '((user-position . t) (width . 176)
                               (left . (- 1300))))

did give flush left on a fresh emacs -Q but the result is bad.
The original scroll bar is still there so it looks like there are two
windows side by side in the frame (C-x 3) but there is only one window,
only one mode line, and C-x o is a no-op.

thanks,
allan